/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.task.tree;

import org.netbeans.api.project.Project;
import org.netbeans.spi.project.ui.support.NodeFactorySupport;
import org.openide.nodes.AbstractNode;
import org.openide.util.NbBundle;

/**
 *
 * @author Maciek Dulkiewicz <maciek.dulkiewicz@ordina.nl>
 */
@NbBundle.Messages({"TaskRootNode_display_name=Tasks"})
public class TaskRootNode extends AbstractNode {
    
    public static final String FOLDER_PATH = "Projects/nl-cloudfarming-client-task/Nodes";
    private static final String ICON_PATH = "nl/cloudfarming/client/task/folder_todolist16.png";
    
    /**
     * Children are created using the factories registered under the FOLDER_PATH
     * in the layer file.
     */
    public TaskRootNode(Project project) {
        super(NodeFactorySupport.createCompositeChildren(project, FOLDER_PATH));
        setDisplayName(Bundle.TaskRootNode_display_name());
        setIconBaseWithExtension(ICON_PATH);
    }
}
